--
-- ItemManager - Lotro Plugin to help manage subsets of items in backpack in windows
--
-- Copyright (C) 2012   Random Augury
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program.  If not, see <http://www.gnu.org/licenses/>.
--	
--	You may contact me at: randomaugury@gmail.com

import "Augury.ItemManager.Class";

Debug = class();

Debug.level = 0;

function Debug:WriteLn(msgLevel, message)
	if (msgLevel <= Debug.level)
	then
		Turbine.Shell.WriteLine(message);
	end;
end;


-- Table dumping routines snarfed from the Turbine Debug folder. Not sure where they got them from.
local function localDumpTable( debugLevel, t, indentation, seen )
	if ( t == nil ) then
		Debug:WriteLn( debugLevel, indentation .. "(nil)" );
		return;
	end

	seen[t] = true

	local s= {}
	local n = 0

	for k in pairs( t ) do
		n = n + 1
		s[n] = k
	end

	table.sort( s, function( a, b ) return tostring( a ) < tostring( b ) end )
	
	for k,v in pairs(s) do
		Debug:WriteLn( debugLevel, indentation .. tostring( k ) .. ": " .. tostring( v ) );

		v = t[v]

		if type( v ) == "table" and not seen[v] then
			localDumpTable( debugLevel, v, indentation .. "  ", seen )
		end
	end
end

function Debug:DumpTable ( debugLevel, t, indentation )
	local seen = { }
	
	localDumpTable( debugLevel, t, indentation or "  ", seen );
end
