--
-- ItemManager - Lotro Plugin to help manage subsets of items in backpack in windows
--
-- Copyright (C) 2012   Random Augury
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program.  If not, see <http://www.gnu.org/licenses/>.
--	
--	You may contact me at: randomaugury@gmail.com

import "Augury.ItemManager.Debug";
import "Augury.ItemManager.ItemManager";

ItemManager:Run();

ItemManagerCommand = Turbine.ShellCommand();

Turbine.Shell.AddCommand("itemmanager", ItemManagerCommand);


function ItemManagerCommand:GetHelp()
	Turbine.Shell.WriteLine("<rgb=#600000>ItemManager</rgb> ".. Plugins.ItemManager:GetVersion());
	Turbine.Shell.WriteLine("/itemmanager");
	Turbine.Shell.WriteLine("        new");
	Turbine.Shell.WriteLine("        showall");
end

function ItemManagerCommand:Execute(cmd, args)
	if (args == "showall") then
		ItemManager:ShowAll();
	elseif (args == "new") then
		ItemManager:MakeNewWindow();
	else
		ItemManagerCommand:GetHelp();
	end
end

Turbine.Shell.WriteLine("<rgb=#600000>ItemManager</rgb> <rgb=#006060> "
		.. Plugins.ItemManager:GetVersion()
		.. " by RandomAugury</rgb>");

