--
-- ItemManager - Lotro Plugin to help manage subsets of items in backpack in windows
--
-- Copyright (C) 2012   Random Augury
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program.  If not, see <http://www.gnu.org/licenses/>.
--	
--	You may contact me at: randomaugury@gmail.com

import "Augury.ItemManager.TextEntryDialog"

OptionsMenu = class();


function OptionsMenu:Constructor()

	self.contextMenu = Turbine.UI.ContextMenu();
	self.parentSet = nil;
	
	local menuItems = self.contextMenu:GetItems();
	
	local renameOption = Turbine.UI.MenuItem("Rename");
	AddListener(renameOption, "Click", function(sender, args)
		self.AskForNewName(self, sender, args);
	end);
	menuItems:Add(renameOption);

	local newWindowOption = Turbine.UI.MenuItem("New Window");
	AddListener(newWindowOption, "Click", function(sender, args)
		ItemManager:MakeNewWindow();
	end);
	menuItems:Add(newWindowOption);

	local showAllOption = Turbine.UI.MenuItem("Show All");
	AddListener(showAllOption, "Click", function(sender, args)
		ItemManager:ShowAll();
	end);
	menuItems:Add(showAllOption);

	
end;

function OptionsMenu:AttachSet(_parentSet)
	self.parentSet = _parentSet;
end;

function OptionsMenu:ShowMenu()
	self.contextMenu:ShowMenu();
end;

function OptionsMenu:AskForNewName(sender, args)
	TextEntryDialog:Show(self.parentSet);
end;

OptionsMenu:Constructor();

