--
-- ItemManager - Lotro Plugin to help manage subsets of items in backpack in windows
--
-- Copyright (C) 2012   Random Augury
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program.  If not, see <http://www.gnu.org/licenses/>.
--	
--	You may contact me at: randomaugury@gmail.com


TextEntryDialog = class();

function TextEntryDialog:Constructor()
	self.dialogBoxWidth = 300;
	self.dialogBoxHeight = 100;
	
	self.dialogBox = Turbine.UI.Lotro.Window();

	self.dialogBox:SetOpacity(1);
	self.dialogBox:SetSize(self.dialogBoxWidth, self.dialogBoxHeight);
	self.dialogBox:SetText("Enter Name");

	
	local topPadding = 20;
	local rightPadding = 50;
	local textBoxWidth = self.dialogBoxWidth - rightPadding - 50;
	local textBoxHeight = 26;
	
	self.textBox = Turbine.UI.Lotro.TextBox();
	self.textBox:SetMultiline(false);
	self.textBox:SetParent(self.dialogBox);
	self.textBox:SetSize(textBoxWidth, textBoxHeight);
	self.textBox:SetPosition(
		(self.dialogBoxWidth - textBoxWidth - rightPadding)/2,
		(self.dialogBoxHeight - textBoxHeight + topPadding)/2
	);

	
	self.textBox:SetSelectable(true);
	
	local OKbuttonWidth = 50;
	
	self.OKButton = Turbine.UI.Lotro.Button();
	self.OKButton:SetParent(self.dialogBox);
	self.OKButton:SetText("OK");
	
	self.OKButton:SetSize(OKbuttonWidth);
	self.OKButton:SetPosition(
		(self.dialogBoxWidth - OKbuttonWidth - 20),
		(self.dialogBoxHeight - textBoxHeight + topPadding)/2  -- align with the top of the textBox
	);
	self.OKButton.Click = function(sender, args)
		self.parentSet:SetName(self.textBox:GetText());
		self.dialogBox:SetVisible(false);
	end;

--	AddListener(self.OKButton, "Click", function(sender, args)
--		self.SetName(self, sender, args);
--	end);

	-- Centre the box around the current moust cursor position
	
	
end;


function TextEntryDialog:Show(_parentSet)
	self.parentSet = _parentSet;

	self.dialogBox:SetPosition(
		Turbine.UI.Display:GetMouseX() - (self.dialogBoxWidth/2),
		Turbine.UI.Display:GetMouseY() - (self.dialogBoxHeight/2)
	);

	self.textBox:SetText(self.parentSet:GetName());
	self.dialogBox:SetZOrder(self.parentSet:GetZOrder() + 1);
	self.dialogBox:SetVisible(true);
end;



TextEntryDialog:Constructor()